@import url('https://fonts.googleapis.com/css2?family=Crafty+Girls&display=swap');

html, body {
    height: 100%;
}

body {
    display: flex;
    flex-direction: column;
    background-image: url('../images/luciole.png');
    background-repeat: no-repeat;
    background-position: center center;
    background-attachment: fixed;
    background-size: cover;
}

main {
    flex: 1 0 auto;
    background-image: url('images/luciole.png');
}

/* Application globale de la police Crafty Girls */
h1, h2, h3, h4, h5, h6,
p, span, a, .btn,
li, ul, ol,
label, input, textarea,
div, td, th,
.footer-text, .footer-heading {
    font-family: 'Crafty Girls', cursive;
}

/* Styles pour le titre principal */
h1 {
    color: #ffffff;
    margin-bottom: 2rem;
    padding: 1rem;
    font-size: 54px;
    text-align: center;
    text-shadow: 9px 3px 0px rgba(163, 61, 61, 0.3);
}

/* Tablettes */
@media (min-width: 768px) {
    h1 {
        font-size: 2.5rem;
        text-shadow: 6px 2px 0px rgba(163, 61, 61, 0.3);
    }
}

/* Desktop */
@media (min-width: 992px) {
    h1 {
        font-size: 3rem;
        text-shadow: 9px 3px 0px rgba(163, 61, 61, 0.3);
    }
}

/* Grands écrans */
@media (min-width: 1200px) {
    h1 {
        font-size: 3.5rem;
    }
}